Partio

Public Member Functions | Public Attributes | List of all members
Partio::Data< T, d > Struct Template Reference

Data. More...

`#include <PartioIterator.h>`

## Public Member Functions
const T & | operator[] (const int i) const
T & | operator[] (const int i)

## Public Attributes
T | x [d]

## Detailed Description

template<class T, int d>
struct Partio::Data< T, d >

Data.

This class represents a piece of data stored in a particle attribute. The only allowed values are float and d

## Member Function Documentation

## ◆ operator[]() [1/2]

template<class T , int d>

T & Partio::Data< T, d >::operator[] | ( | const int | i | ) |
| inline

References Partio::typeCheck(), and Partio::Data< T, d >::x.

## ◆ operator[]() [2/2]

template<class T , int d>

const T & Partio::Data< T, d >::operator[] | ( | const int | i | ) | const
| inline

References Partio::typeCheck(), and Partio::Data< T, d >::x.

## Member Data Documentation

## ◆ x

template<class T , int d>

T Partio::Data< T, d >::x[d]

Referenced by Partio::Data< T, d >::operator[](), and Partio::Data< T, d >::operator[]().

The documentation for this struct was generated from the following file:

- src/lib/PartioIterator.h